Bug 499934 - applink.c not installed
applink.c not installed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mingw32-openssl (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 00:29 EDT by Mattias Ellert
Modified: 2009-05-21 19:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.9.8j-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 19:24:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2009-05-09 00:29:33 EDT
Description of problem:

When I try to run a program linked against the libssl dll installed by mingw32-openssl I get the following runtime error:

OPENSSL_Uplink(630B90C0,07): no OPENSSL_Applink

This problem is described on the openssl FAQ page:

http://www.openssl.org/support/faq.html#PROG2

The FAQ page says that I have to add the applink.c file to the sources of my binary. When I do this the runtime error disappears and the program starts to work.

The FAQ also says that on a window openssl installation the applink.c file is installed in:

<install-root>/include/openssl/applink.c

However, it is not present in the mingw32-openssl rpm. I had to dig out the file from the openssl source tarfile.

Version-Release number of selected component (if applicable):

mingw32-openssl-0.9.8j-2.fc10.noarch

How reproducible:

Always

Steps to Reproduce:
rpm -ql mingw32-openssl | grep applink
  
Actual results:
No output

Expected results:
/usr/i686-pc-mingw32/sys-root/mingw/include/openssl/applink.c
Comment 1 Erik van Pienbroek 2009-05-09 06:19:16 EDT
Now builds are now being prepared and will follow in a couple of hours
Comment 2 Fedora Update System 2009-05-09 08:03:11 EDT
mingw32-openssl-0.9.8j-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-openssl-0.9.8j-3.fc10
Comment 3 Fedora Update System 2009-05-09 08:04:32 EDT
mingw32-openssl-0.9.8j-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-openssl-0.9.8j-6.fc11
Comment 4 Fedora Update System 2009-05-12 00:01:39 EDT
mingw32-openssl-0.9.8j-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-openssl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4772
Comment 5 Fedora Update System 2009-05-12 00:04:53 EDT
mingw32-openssl-0.9.8j-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-openssl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4802
Comment 6 Fedora Update System 2009-05-21 19:24:46 EDT
mingw32-openssl-0.9.8j-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-05-21 19:29:39 EDT
mingw32-openssl-0.9.8j-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.